Package org.apache.sling.starter.testservices.servlets

# Class R6WhiteboardServlet

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
org.apache.sling.starter.testservices.servlets.R6WhiteboardServlet

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

public class R6WhiteboardServlet extends javax.servlet.http.HttpServlet
Example Sling servlets registered using the R6 HTTP Whiteboard

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`R6WhiteboardServlet()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### R6WhiteboardServlet

public R6WhiteboardServlet()

## Method Details

### doGet

protected void doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws javax.servlet.ServletException, IOException

Overrides:
  `doGet` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`